Bug 1316248 - [RFE] Log user and access key with each bucket and object operation for audit purposes
[RFE] Log user and access key with each bucket and object operation for audit...
Status: ASSIGNED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 4.0
Assigned To: Yehuda Sadeh
ceph-qe-bugs
: FutureFeature
: 1230413 (view as bug list)
Depends On:
Blocks: 1258382 1319075
  Show dependency treegraph
 
Reported: 2016-03-09 13:58 EST by Neil Levine
Modified: 2017-09-21 19:14 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Levine 2016-03-09 13:58:51 EST
As an admin, I need to store logs for every operation performed by my users through RGW for audit purposes. 

As an admin, I need to see what operations a particular user performed on a bucket and/or object.

As an admin, I need to see what access key a user used when performing an operation.

As an admin, I need to have the log structure which allows me to write scripts which can easily extra the audit information I need.
Comment 6 Kyle Bader 2017-04-04 13:52:51 EDT
If someone uses HAproxy in front of RGW, you can configure it to do this. In the frontend section add (where 12345 is the length of a key/token):

capture request header AWSAccessKeyId len 12345

For Swift, I think it should be:

capture request header X-Auth-Token len 12345
capture request header X-Storage-Toke len 12345
Comment 9 Drew Harris 2017-07-06 10:22:16 EDT
*** Bug 1230413 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.